#include "cryptinfo.h"

namespace cryptrav
{


void           CryptInfo::reset(void)
{
 name.clear();

 thisIsFile = false;

 thisLastModified = 0;

 thisIsNear = false;
 nearTime = 0;
 thisNearSize = 0;

 thisIsFar = false;
 farTime = 0;
 thisFarSize = 0;

 thisAction = 0;
}

CryptInfo::CryptInfo(void)
{
 reset();
}



QString        CryptInfo::fileName()
{
 return name;
}

bool           CryptInfo::isFile(void)
{
 return thisIsFile;
}

QDateTime      CryptInfo::lastModified(void)
{
 return QDateTime::fromMSecsSinceEpoch(thisLastModified);
}

bool           CryptInfo::isNear(void)
{
 return thisIsNear;
}

QDateTime      CryptInfo::nearLastModified(void)
{
 return QDateTime::fromMSecsSinceEpoch(nearTime * 1000);
}

qint64         CryptInfo::nearSize(void)
{
 return thisNearSize;
}

bool           CryptInfo::isFar(void)
{
 return thisIsFar;
}

QDateTime      CryptInfo::farLastModified(void)
{
 return QDateTime::fromMSecsSinceEpoch(farTime * 1000);
}

qint64         CryptInfo::farSize(void)
{
 return thisFarSize;
}

qint16         CryptInfo::action(void)
{
 return thisAction;
}



CryptInfo::~CryptInfo()
{
 reset();
}


} // namespace "cryptrav"
